org.richfaces.component

## Class UIDataTableBase

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.richfaces.component.UIDataAdaptor
      - - org.richfaces.component.UISequence
        - - org.richfaces.component.UIDataTableBase

- All Implemented Interfaces:
    EventListener, javax.faces.component.NamingContainer, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.UniqueIdVendor, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListener, javax.faces.event.SystemEventListenerHolder, Row, org.richfaces.ui.common.meta.MetaComponentEncoder, org.richfaces.ui.common.meta.MetaComponentResolver, org.richfaces.ui.iteration.IterationStateHolder
  Direct Known Subclasses:
    AbstractCollapsibleSubTable, AbstractDataTable, AbstractExtendedDataTable

      public abstract class UIDataTableBase
      extends org.richfaces.component.UISequence
      implements Row, org.richfaces.ui.common.meta.MetaComponentResolver, org.richfaces.ui.common.meta.MetaComponentEncoder

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `UIDataTableBase.PropertyKeys`

    - ### Nested classes/interfaces inherited from class org.richfaces.component.UIDataAdaptor

      `org.richfaces.component.UIDataAdaptor.ComponentVisitor`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BODY`
    `static String` | `COMPONENT_FAMILY`
    `static String` | `FOOTER`
    `static String` | `FOOTER_FACET_NAME`
    `static String` | `HEADER`
    `static String` | `HEADER_FACET_NAME`
    `static String` | `NODATA_FACET_NAME`

    - ### Fields inherited from class org.richfaces.component.UIDataAdaptor

      `COMPONENT_TYPE, decodeVisitor, updateVisitor, validateVisitor`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

    - ### Fields inherited from interface org.richfaces.ui.common.meta.MetaComponentResolver

      `META_COMPONENT_SEPARATOR_CHAR`

    - ### Fields inherited from interface javax.faces.component.NamingContainer

      `SEPARATOR_CHAR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIDataTableBase()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFilteringListener(FilteringListener listener)`
    `void` | `addSortingListener(SortingListener listener)`
    `Iterator<javax.faces.component.UIComponent>` | `columns()` Get iterator for all columns contained in this row.
    `protected org.richfaces.model.ExtendedDataModel<?>` | `createExtendedDataModel()`
    `protected Iterator<javax.faces.component.UIComponent>` | `dataChildren()`
    `void` | `encodeMetaComponent(javax.faces.context.FacesContext context, String metaComponentId)`
    `protected Iterator<javax.faces.component.UIComponent>` | `fixedChildren()`
    `abstract String` | `getColumnClasses()` Assigns one or more space-separated CSS class names to the columns of the table.
    `FilteringListener[]` | `getFilteringListeners()`
    `abstract String` | `getFilterVar()` Name of the variable used in EL expression provided in filterExpression in order to decide about displaying particular row.
    `abstract javax.faces.component.UIComponent` | `getFooter()` The footer of the table
    `abstract String` | `getFooterClass()` Assigns one or more space-separated CSS class names to the table footer
    `abstract javax.faces.component.UIComponent` | `getHeader()` The header of the table
    `abstract String` | `getHeaderClass()` Assigns one or more space-separated CSS class names to the table header
    `abstract javax.faces.component.UIComponent` | `getNoData()` The content to be displayed when table contains no rows (no data provided).
    `abstract String` | `getNoDataLabel()` The label to be displayed when table contains no rows (no data provided).
    `abstract String` | `getOnrowclick()`
    `abstract String` | `getOnrowdblclick()`
    `abstract String` | `getOnrowkeydown()`
    `abstract String` | `getOnrowkeypress()`
    `abstract String` | `getOnrowkeyup()`
    `abstract String` | `getOnrowmousedown()`
    `abstract String` | `getOnrowmousemove()`
    `abstract String` | `getOnrowmouseout()`
    `abstract String` | `getOnrowmouseover()`
    `abstract String` | `getOnrowmouseup()`
    `boolean` | `getRendersChildren()`
    `abstract String` | `getRowClass()` Assigns one or more space-separated CSS class names to the table cells
    `abstract String` | `getRowClasses()` Assigns one or more space-separated CSS class names to the rows of the table.
    `SortingListener[]` | `getSortingListeners()`
    `abstract org.richfaces.model.SortMode` | `getSortMode()` Specifies when table will be sorted according to one column (single) or multiple columns (multi).
    `abstract Collection<Object>` | `getSortPriority()` Comma-separated list of column names determining priority of row sorting.
    `abstract String` | `getStyle()`
    `static Set<String>` | `getSupportedMetaComponents()`
    `protected boolean` | `hasRowChildren()`
    `boolean` | `isColumnFacetPresent(String facetName)`
    `void` | `queueEvent(javax.faces.event.FacesEvent event)`
    `void` | `removeFilteringListener(FilteringListener listener)`
    `void` | `removeSortingListener(SortingListener listener)`
    `String` | `resolveClientId(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent contextComponent, String metaComponentId)`
    `protected void` | `restoreChildState(javax.faces.context.FacesContext facesContext)`
    `String` | `substituteUnresolvedClientId(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent contextComponent, String metaComponentId)`
    `protected boolean` | `visitDataChildren(javax.faces.component.visit.VisitContext visitContext, javax.faces.component.visit.VisitCallback callback, boolean visitRows)`
    `protected boolean` | `visitFixedChildren(javax.faces.component.visit.VisitContext visitContext, javax.faces.component.visit.VisitCallback callback)`
    `void` | `walk(javax.faces.context.FacesContext faces, org.richfaces.model.DataVisitor visitor, org.richfaces.model.Range range, Object argument)` Walk ( visit ) this component on all data-aware children for each row from range.

    - ### Methods inherited from class org.richfaces.component.UISequence

      `captureOrigValue, createComponentState, createFacesModel, getActualFirst, getActualRows, getFirst, getIterationStatusVar, getRelativeClientId, getRelativeRowIndex, getRowIndex, getRowKeyConverter, getRows, getValue, preEncodeBegin, restoreOrigValue, setFirst, setIterationStatusVar, setRows, setupVariable, setValue, setValueBinding, setValueExpression, updateState, updateState`

    - ### Methods inherited from class org.richfaces.component.UIDataAdaptor

      `allFixedChildren, broadcast, clearExtendedDataModel, clearInitialState, createUniqueId, doUpdate, extractKeySegment, getComponentState, getContainerClientId, getContainerClientId, getExtendedDataModel, getFamily, getIterationState, getLocalComponentState, getRowCount, getRowData, getRowKey, getRowKeyVar, getStateVar, getVar, getVariablesMap, invokeOnComponent, invokeOnRow, isKeepSaved, isListenerForSource, isRowAvailable, iterate, keepSaved, markInitialState, preDecode, preUpdate, preValidate, processDecodes, processDecodesChildren, processEvent, processEvent, processUpdates, processUpdatesChildren, processValidatesChildren, processValidators, resetChildState, resetDataModel, restoreChildState, restoreState, saveChildState, saveChildState, saveState, setExtendedDataModel, setId, setIterationState, setKeepSaved, setRowKey, setRowKey, setRowKeyConverter, setRowKeyVar, setStateVar, setVar, visitDataChildrenMetaComponents, visitTree, walk, wrapEvent`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getValueBinding, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setParent, setRendered, setRendererType, setTransient, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, pushComponentToEL, restoreTransientState, saveTransientState, setInView`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.richfaces.component.Row

      `setRowKey, walk`

- - ### Field Detail

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### HEADER_FACET_NAME

          public static final String HEADER_FACET_NAME

      See Also:
        Constant Field Values

    - #### FOOTER_FACET_NAME

          public static final String FOOTER_FACET_NAME

      See Also:
        Constant Field Values

    - #### NODATA_FACET_NAME

          public static final String NODATA_FACET_NAME

      See Also:
        Constant Field Values

    - #### HEADER

          public static final String HEADER

      See Also:
        Constant Field Values

    - #### FOOTER

          public static final String FOOTER

      See Also:
        Constant Field Values

    - #### BODY

          public static final String BODY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UIDataTableBase

          public UIDataTableBase()

  - ### Method Detail

    - #### getHeader

          public abstract javax.faces.component.UIComponent getHeader()

      The header of the table

    - #### getFooter

          public abstract javax.faces.component.UIComponent getFooter()

      The footer of the table

    - #### getNoData

          public abstract javax.faces.component.UIComponent getNoData()

      The content to be displayed when table contains no rows (no data provided).

    - #### getNoDataLabel

          public abstract String getNoDataLabel()

      The label to be displayed when table contains no rows (no data provided).

    - #### getFilterVar

          public abstract String getFilterVar()

      Name of the variable used in EL expression provided in filterExpression in order to decide about displaying particular row.

    - #### getRowClass

          public abstract String getRowClass()

      Assigns one or more space-separated CSS class names to the table cells

    - #### getHeaderClass

          public abstract String getHeaderClass()

      Assigns one or more space-separated CSS class names to the table header

    - #### getFooterClass

          public abstract String getFooterClass()

      Assigns one or more space-separated CSS class names to the table footer

    - #### getColumnClasses

          public abstract String getColumnClasses()

      Assigns one or more space-separated CSS class names to the columns of the table. If the CSS class names are comma-separated, each class will be assigned to a particular column in the order they follow in the attribute. If you have less class names than columns, the class will be applied to every n-fold column where n is the order in which the class is listed in the attribute. If there are more class names than columns, the overflow ones are ignored.

    - #### getRowClasses

          public abstract String getRowClasses()

      Assigns one or more space-separated CSS class names to the rows of the table. If the CSS class names are comma-separated, each class will be assigned to a particular row in the order they follow in the attribute. If you have less class names than rows, the class will be applied to every n-fold row where n is the order in which the class is listed in the attribute. If there are more class names than rows, the overflow ones are ignored.

    - #### getStyle

          public abstract String getStyle()

    - #### getSortPriority

          public abstract Collection<Object> getSortPriority()

      Comma-separated list of column names determining priority of row sorting.

    - #### getSortMode

          public abstract org.richfaces.model.SortMode getSortMode()

      Specifies when table will be sorted according to one column (single) or multiple columns (multi).

    - #### getOnrowclick

          public abstract String getOnrowclick()

    - #### getOnrowdblclick

          public abstract String getOnrowdblclick()

    - #### getOnrowmousedown

          public abstract String getOnrowmousedown()

    - #### getOnrowmouseup

          public abstract String getOnrowmouseup()

    - #### getOnrowmouseover

          public abstract String getOnrowmouseover()

    - #### getOnrowmousemove

          public abstract String getOnrowmousemove()

    - #### getOnrowmouseout

          public abstract String getOnrowmouseout()

    - #### getOnrowkeypress

          public abstract String getOnrowkeypress()

    - #### getOnrowkeydown

          public abstract String getOnrowkeydown()

    - #### getOnrowkeyup

          public abstract String getOnrowkeyup()

    - #### columns

          public Iterator<javax.faces.component.UIComponent> columns()

      Description copied from interface: `Row`
      Get iterator for all columns contained in this row.
      Specified by:
        `columns` in interface `Row`

    - #### fixedChildren

          protected Iterator<javax.faces.component.UIComponent> fixedChildren()

      Overrides:
        `fixedChildren` in class `org.richfaces.component.UIDataAdaptor`

    - #### dataChildren

          protected Iterator<javax.faces.component.UIComponent> dataChildren()

      Overrides:
        `dataChildren` in class `org.richfaces.component.UIDataAdaptor`

    - #### hasRowChildren

          protected boolean hasRowChildren()

    - #### isColumnFacetPresent

          public boolean isColumnFacetPresent(String facetName)

    - #### getRendersChildren

          public boolean getRendersChildren()

      Overrides:
        `getRendersChildren` in class `javax.faces.component.UIComponentBase`

    - #### createExtendedDataModel

          protected org.richfaces.model.ExtendedDataModel<?> createExtendedDataModel()

      Overrides:
        `createExtendedDataModel` in class `org.richfaces.component.UISequence`

    - #### walk

          public void walk(javax.faces.context.FacesContext faces,
                  org.richfaces.model.DataVisitor visitor,
                  org.richfaces.model.Range range,
                  Object argument)

      Walk ( visit ) this component on all data-aware children for each row from range.
      Parameters:
        `faces` -
        `visitor` -
        `range` -
        `argument` -

    - #### resolveClientId

          public String resolveClientId(javax.faces.context.FacesContext facesContext,
                               javax.faces.component.UIComponent contextComponent,
                               String metaComponentId)

      Specified by:
        `resolveClientId` in interface `org.richfaces.ui.common.meta.MetaComponentResolver`

    - #### substituteUnresolvedClientId

          public String substituteUnresolvedClientId(javax.faces.context.FacesContext facesContext,
                                            javax.faces.component.UIComponent contextComponent,
                                            String metaComponentId)

      Specified by:
        `substituteUnresolvedClientId` in interface `org.richfaces.ui.common.meta.MetaComponentResolver`

    - #### encodeMetaComponent

          public void encodeMetaComponent(javax.faces.context.FacesContext context,
                                 String metaComponentId)
                                   throws IOException

      Specified by:
        `encodeMetaComponent` in interface `org.richfaces.ui.common.meta.MetaComponentEncoder`
      Throws:
        `IOException`

    - #### visitFixedChildren

          protected boolean visitFixedChildren(javax.faces.component.visit.VisitContext visitContext,
                                   javax.faces.component.visit.VisitCallback callback)

      Overrides:
        `visitFixedChildren` in class `org.richfaces.component.UIDataAdaptor`

    - #### restoreChildState

          protected void restoreChildState(javax.faces.context.FacesContext facesContext)

      Overrides:
        `restoreChildState` in class `org.richfaces.component.UIDataAdaptor`

    - #### visitDataChildren

          protected boolean visitDataChildren(javax.faces.component.visit.VisitContext visitContext,
                                  javax.faces.component.visit.VisitCallback callback,
                                  boolean visitRows)

      Overrides:
        `visitDataChildren` in class `org.richfaces.component.UIDataAdaptor`

    - #### addSortingListener

          public void addSortingListener(SortingListener listener)

    - #### removeSortingListener

          public void removeSortingListener(SortingListener listener)

    - #### addFilteringListener

          public void addFilteringListener(FilteringListener listener)

    - #### removeFilteringListener

          public void removeFilteringListener(FilteringListener listener)

    - #### getFilteringListeners

          public FilteringListener[] getFilteringListeners()

    - #### getSortingListeners

          public SortingListener[] getSortingListeners()

    - #### queueEvent

          public void queueEvent(javax.faces.event.FacesEvent event)

      Overrides:
        `queueEvent` in class `org.richfaces.component.UIDataAdaptor`

    - #### getSupportedMetaComponents

          public static Set<String> getSupportedMetaComponents()

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.